dpkg-trigger(1)

NAMN
dpkg-trigger - ett verktyg för paketutlösare

SYNOPS
dpkg-trigger [flaggor...] utlösarnamn
dpkg-trigger [flaggor...] kommando

BESKRIVNING
dpkg-trigger är ett verktyg för att explicit aktivera utlösare och för att testa om de stöds av den körande dpkg.

This can be used by maintainer scripts in complex and conditional situations where the file triggers, or the declarative activate triggers control file directive, are insufficiently rich. It can also be used for testing and by system administrators (but note that the triggers won't actually be run by dpkg-trigger).

Unrecognised trigger name syntaxes are an error for dpkg-trigger.

KOMMANDON

--check-supported
    Check if the running dpkg supports triggers (usually called from a postinst). Will exit 0 if a triggers-capable dpkg has run, or 1 with an error message to stderr if not. Normally, however, it is better just to activate the desired trigger with dpkg-trigger.

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

--license, --licence
    Visa upphovsrättslicensvillkor och avsluta.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

--by-package=paket
    Override trigger awaiter (normally set by dpkg through the DPKG_MAINTSCRIPT_PACKAGE environment variable of the maintainer scripts, naming the package to which the script belongs, and this will be used by default).

--no-await
    Denna flagga gör så att det anropade paketet T (om det finns) inte behöver vänta på hantering av utlösaren; det/de intresserade paketet/paketen I kommer inte läggas till T:s väntelista för hantering av utlösare och T:s status ändras inte. T kan anses vara installerat även om I kanske ännu inte har hanterat utlösaren.

--no-act
    Bara testa, ändra inte på någonting.

SE ÄVEN
dpkg(1), deb-triggers(5).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.